GuideLab API

Create a bundle

Create a new product bundle with at least 2 products. Validates that all referenced products and category belong to the lab, and checks SKU uniqueness.

POST
/bundles

Create a new product bundle with at least 2 products. Validates that all referenced products and category belong to the lab, and checks SKU uniqueness.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/bundles" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "bundlePrice": "string",    "items": [      {        "productId": "string"      },      {        "productId": "string"      }    ]  }'
{  "bundle": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "sku": "string",    "description": "string",    "bundlePrice": "string",    "isActive": true,    "isHidden": true,    "sortOrder": 0,    "shareTeeth": true,    "shareMaterial": true,    "shareShade": true,    "quantityEnabled": true,    "createdAt": null,    "updatedAt": null,    "items": [      {        "id": "string",        "bundleId": "string",        "productId": "string",        "sortOrder": 0,        "product": {          "id": "string",          "name": "string",          "sku": "string",          "defaultPrice": "string"        }      }    ]  }}
Empty
Empty
Empty
Empty
Empty